# Interface webdriver.CommandExecutor

code »

Handles the execution of `webdriver.Command` objects.

Show:PublicProtectedPrivate

## Instance Methods

code » execute ( command, callback )

Executes the given `command`. If there is an error executing the command, the provided callback will be invoked with the offending error. Otherwise, the callback will be invoked with a null Error and non-null `bot.response.ResponseObject` object.

Parameters

command: `!webdriver.Command`
  The command to execute.
callback: `function(Error, !bot.response.ResponseObject==)`
  the function to invoke when the command response is ready.